<script setup>
import { IndexPage } from '@/app/core/pages/crud';
import model from '@/modules/shop/models/company';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import RouterLink from "@/app/components/vue/RouterLink.vue";
import Index from '@/app/components/crud/Index.vue';
</script>

<script>
export default {
    data() {
        return new IndexPage({
            context: this,
            title: this.__('Компании'),
            model: model,
            http: {
                path: 'shop/company',
            },
            actions: ['show', 'update', 'delete', 'restore'],
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <RouterLink to="shop/company/create" class="btn btn-success">
            {{ __('Создать') }}
        </RouterLink>
    </PageTitle>

    <Index />
</template>
